VTK: tovtkm::vtkPortalTraits< T > Struct Template Reference

| VTK 9.3.1

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
tovtkm::vtkPortalTraits< T > Struct Template Reference

`#include <PortalTraits.h>`

## Public Types
using | TagType = vtkPortalOfScalarValues
using | ComponentType = typename std::remove_const< T >::type
using | Type = ComponentType

## Static Public Member Functions
static void | SetComponent (Type &t, vtkm::IdComponent, const ComponentType &v)
static ComponentType | GetComponent (const Type &t, vtkm::IdComponent)

## Static Public Attributes
static constexpr vtkm::IdComponent | NUM_COMPONENTS = 1

## Detailed Description

### template<typename T>
struct tovtkm::vtkPortalTraits< T >

Definition at line 25 of file PortalTraits.h.

## Member Typedef Documentation

## ◆ TagType

template<typename T >

using tovtkm::vtkPortalTraits< T >::TagType = vtkPortalOfScalarValues

Definition at line 27 of file PortalTraits.h.

## ◆ ComponentType

template<typename T >

using tovtkm::vtkPortalTraits< T >::ComponentType = typename std::remove_const<T>::type

Definition at line 28 of file PortalTraits.h.

## ◆ Type

template<typename T >

using tovtkm::vtkPortalTraits< T >::Type = ComponentType

Definition at line 29 of file PortalTraits.h.

## Member Function Documentation

## ◆ SetComponent()

template<typename T >

static void tovtkm::vtkPortalTraits< T >::SetComponent | ( | Type & | t,
|  | vtkm::IdComponent | ,
|  | const ComponentType & | v
| ) |  |
| inlinestatic

Definition at line 32 of file PortalTraits.h.

## ◆ GetComponent()

template<typename T >

static ComponentType tovtkm::vtkPortalTraits< T >::GetComponent | ( | const Type & | t,
|  | vtkm::IdComponent |
| ) |  |
| inlinestatic

Definition at line 34 of file PortalTraits.h.

## Member Data Documentation

## ◆ NUM_COMPONENTS

template<typename T >

constexpr vtkm::IdComponent tovtkm::vtkPortalTraits< T >::NUM_COMPONENTS = 1
| staticconstexpr

Definition at line 30 of file PortalTraits.h.

The documentation for this struct was generated from the following file:

- Accelerators/Vtkm/Core/vtkmlib/PortalTraits.h